package net.t2code.autoresponse.Spigot.config.config;

import net.t2code.autoresponse.Util;
import net.t2code.autoresponse.Spigot.Main;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import net.t2code.t2codelib.SPIGOT.api.yaml.T2Cconfig;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.io.IOException;

public class CreateConfig {
    public static void configCreate() {
        long long_ = System.currentTimeMillis();
        File config = new File(Main.getPath(), "config.yml");
        YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        T2Cconfig.set("Plugin.language", "english", yamlConfiguration);
        T2Cconfig.set("Plugin.updateCheck.onJoin", true, yamlConfiguration);
        T2Cconfig.set("Plugin.updateCheck.seePreReleaseUpdates", true, yamlConfiguration);
        T2Cconfig.set("Plugin.updateCheck.timeInterval", 60, yamlConfiguration);

        T2Cconfig.set("BungeeCord.Enable", false, yamlConfiguration);

        T2Cconfig.set("Log.Console.Enable", true, yamlConfiguration);

        try {
            yamlConfiguration.save(config);
        } catch (IOException e) {
            e.printStackTrace();
        }
        T2Csend.console(Util.getPrefix() + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
    }
}
